<?php
namespace Opentalent\OtTemplating\Domain\Model;

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

/**
 *   Organization's donor
 */
class Donor extends AbstractEntity
{
    /**
     * id
     *
     * @var int
     */
    protected $id = '';

    /**
     * organizationId
     *
     * @var int
     */
    protected $organizationId = '';

    /**
     * name
     *
     * @var string
     */
    protected $name = '';

    /**
     * email
     *
     * @var string
     */
    protected $email = '';

    /**
     * telphone
     *
     * @var string
     */
    protected $telphone = '';

    /**
     * website
     *
     * @var string
     */
    protected $website = '';

    /**
     * wording
     *
     * @var string
     */
    protected $wording = '';

    /**
     * displayedOn
     *
     * @var string
     */
    protected $displayedOn = 0;

    /**
     * logo
     *
     * @var string
     */
    protected $logo = '';

    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId(int $id)
    {
        $this->id = $id;
    }

    /**
     * @return int
     */
    public function getOrganizationId()
    {
        return $this->organizationId;
    }

    /**
     * @param int $organizationId
     */
    public function setOrganizationId(int $organizationId)
    {
        $this->organizationId = $organizationId;
    }

    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @param string $name
     */
    public function setName($name = '')
    {
        $this->name = $name;
    }

    /**
     * @return string
     */
    public function getEmail()
    {
        return $this->email;
    }

    /**
     * @param string $email
     */
    public function setEmail($email = '')
    {
        $this->email = $email;
    }

    /**
     * @return string
     */
    public function getTelphone()
    {
        return $this->telphone;
    }

    /**
     * @param string $telphone
     */
    public function setTelphone($telphone = '')
    {
        $this->telphone = $telphone;
    }

    /**
     * @return string
     */
    public function getWebsite()
    {
        return $this->website;
    }

    /**
     * @param string $website
     */
    public function setWebsite($website = '')
    {
        $this->website = $website;
    }

    /**
     * @return string
     */
    public function getWording()
    {
        return $this->wording;
    }

    /**
     * @param string $wording
     */
    public function setWording($wording = '')
    {
        $this->wording = $wording;
    }

    /**
     * @return string
     */
    public function getDisplayedOn()
    {
        return $this->displayedOn;
    }

    /**
     * @param string $displayedOn
     */
    public function setDisplayedOn($displayedOn = '')
    {
        $this->displayedOn = $displayedOn;
    }

    /**
     * @return string
     */
    public function getLogo()
    {
        return $this->logo;
    }

    /**
     * @param string $logo
     */
    public function setLogo($logo = '')
    {
        $this->logo = $logo;
    }
}
